#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 crypto-api-tests
version:              0.3
visibility:           public
id:                   crypto-api-tests-0.3-Dpqe5v9E7mAGBLCFG0az2H
key:                  crypto-api-tests-0.3-Dpqe5v9E7mAGBLCFG0az2H
license:              BSD-3-Clause
copyright:            Thomas DuBuisson <thomas.dubuisson@gmail.com>
maintainer:           Thomas DuBuisson <thomas.dubuisson@gmail.com>
author:               Thomas DuBuisson <thomas.dubuisson@gmail.com>
stability:            stable
homepage:             http://trac.haskell.org/crypto-api/wiki
synopsis:             A test framework and KATs for cryptographic operations.
description:
    A test framework for hash and cipher operations using
    the crypto-api interface.  Known answer tests (KATs)
    for common cryptographic algorithms are included.
    Patches welcome (both adding KATs for more algorithms
    or property tests for classes of algorithms).

category:             Data, Cryptography
abi:                  707c27a66e9cca7e20c51c76ad612544
exposed:              True
exposed-modules:
    Test.AES Test.Crypto Test.HMAC Test.MD5 Test.ParseNistKATs Test.SHA
    Test.TwoFish

hidden-modules:       Paths_crypto_api_tests
import-dirs:          /usr/lib/ghc-9.0.1/site-local/crypto-api-tests-0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/crypto-api-tests-0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/crypto-api-tests-0.3
hs-libraries:         HScrypto-api-tests-0.3-Dpqe5v9E7mAGBLCFG0az2H
depends:
    HUnit-1.6.2.0-2lDDmQCEetY9OrwZ2lDZMS
    QuickCheck-2.14.2-JU6Qx4OvBhD5UihQwyMG0V base-4.15.0.0
    bytestring-0.10.12.1 cereal-0.5.8.1-8mCXAg3ZUhz3qnQL3xR8hS
    crypto-api-0.13.3-HYX5hfjGSCW51JHHD8VCBR directory-1.3.6.1
    filepath-1.4.2.1 test-framework-0.8.2.0-LVDCmKVjWy3LVdkTsfw79a
    test-framework-hunit-0.3.0.2-8TI08fQ1KDY4ZAlpbCUvaP
    test-framework-quickcheck2-0.3.0.5-AUYNJvYtLlU3nwm9uaj3i6

haddock-interfaces:
    /usr/share/doc/haskell-crypto-api-tests/html/crypto-api-tests.haddock

haddock-html:         /usr/share/doc/haskell-crypto-api-tests/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

